summaryrefslogtreecommitdiff
path: root/global/overlay/etc/cron.daily
diff options
context:
space:
mode:
authorFredrik Thulin <fredrik@thulin.net>2014-05-26 12:25:09 +0200
committerFredrik Thulin <fredrik@thulin.net>2014-05-26 12:25:09 +0200
commit288276144724476f0ed6b716fea8b512f46b68e6 (patch)
tree71a341359de603632f4d6d3f5f29b376fd532d5b /global/overlay/etc/cron.daily
parentb4b1247f99d5daf07b2a8dca45c8dcac63e8ba55 (diff)
Diffstat (limited to 'global/overlay/etc/cron.daily')
-rwxr-xr-xglobal/overlay/etc/cron.daily/scriptherder_cleanup10
1 files changed, 10 insertions, 0 deletions
diff --git a/global/overlay/etc/cron.daily/scriptherder_cleanup b/global/overlay/etc/cron.daily/scriptherder_cleanup
new file mode 100755
index 0000000..08ec7f5
--- /dev/null
+++ b/global/overlay/etc/cron.daily/scriptherder_cleanup
@@ -0,0 +1,10 @@
+#!/bin/sh
+#
+# Remove scriptherder data older than 7 days.
+#
+
+DIR="/var/cache/scriptherder/"
+
+test -d ${DIR} || exit 0
+
+find ${DIR} -type f -mtime +7 -print0 | xargs -0 rm -f